NCCGradHelper Class Reference

`#include <mia/core/nccsum.hh>`

## Public Member Functions

float | get_gradient_scale (double a, double b) const
| NCCGradHelper ()
| NCCGradHelper (double sumab_by_a2b2, double sumab_by_suma2, double mean_a, double mean_b)

## Detailed Description

Definition at line 33 of file nccsum.hh.

## Constructor & Destructor Documentation

## NCCGradHelper() [1/2]

NCCGradHelper::NCCGradHelper | ( |  | ) |

inline

Definition at line 36 of file nccsum.hh.

## NCCGradHelper() [2/2]

NCCGradHelper::NCCGradHelper | ( | double | sumab_by_a2b2,
|  | double | sumab_by_suma2,
|  | double | mean_a,
|  | double | mean_b )

inline

Definition at line 42 of file nccsum.hh.

## Member Function Documentation

## get_gradient_scale()

float NCCGradHelper::get_gradient_scale | ( | double | a,
|  | double | b ) const

inline

Definition at line 48 of file nccsum.hh.

The documentation for this class was generated from the following file:

- nccsum.hh